#include <iostream>

using namespace std;
int rs(int x,int y)
{
    int c=0,i=1;
    while(x>0 || y>0)
    {
        if(x%10>y%10)
        {
            c+=(x%10)*i;
        }
        else if(x%10<y%10)
        {
            c+=(y%10)*i;
        }
        else
        {
            c+=(y%10)*i;
            i*=10;
            c+=(y%10)*i;
        }
        x/=10;
        y/=10;
        i=i*10;
    }
    return c;
}
int main()
{
    int x,y,c=0;
    cin>>x>>y;
    c=rs(x,y);
    cout<<c;
    return 0;
}